Bug 1055640 - OVIRT35 - [RFE] Decommission the Storage Pool Metadata
Summary: OVIRT35 - [RFE] Decommission the Storage Pool Metadata
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: vdsm
Version: 3.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Federico Simoncelli
QA Contact: Aharon Canan
URL:
Whiteboard: storage
Depends On:
Blocks: 1058022 1080372 1185830
TreeView+ depends on / blocked
 
Reported: 2014-01-20 16:18 UTC by Federico Simoncelli
Modified: 2017-03-15 19:43 UTC (History)
13 users (show)

Fixed In Version: ovirt-engine-3.5.0_alpha2
Doc Type: Enhancement
Doc Text:
Clone Of:
: 1058022 (view as bug list)
Environment:
Last Closed: 2014-10-17 12:37:32 UTC
oVirt Team: Storage


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2969581 0 None None None 2017-03-15 19:43:12 UTC
oVirt gerrit 22712 0 None None None Never

Description Federico Simoncelli 2014-01-20 16:18:36 UTC
Description of problem:
Until oVirt 3.4 the Storage Pool (Data Center) information was maintained in the engine database and stored in different ways in the Master Domain. In the larger scope of removing the SPM (Storage Pool Manager) and the Master Domain Role, the goal of this feature is to decommission the Storage Pool Metadata (and its dependency on the Master Domain) .

More details at:

http://wiki.ovirt.org/Features/StoragePool_Metadata_Removal

Comment 1 Sean Cohen 2014-01-26 14:20:28 UTC
Moving to 3.5 as did not meet the 3.4 feature freeze

Comment 2 Sandro Bonazzola 2014-10-17 12:37:32 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.